package com.xunhong.erp.turbo.api.biz.api;

import com.xunhong.erp.turbo.api.biz.dto.cmd.DealerCreateCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.DealerDestroyCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.DealerDragCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.DealerUpdateCmd;
import com.xunhong.erp.turbo.api.biz.dto.qry.DealerListQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.DealerPageQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.DealerShowQry;
import com.xunhong.erp.turbo.api.biz.dto.vo.DealerVO;
import com.xunhong.erp.turbo.base.dto.PageDTO;

import java.util.List;

/**
 * @author shenyifei
 */
public interface DealerServiceI {
	DealerVO create(DealerCreateCmd dealerCreateCmd);

	PageDTO<DealerVO> page(DealerPageQry dealerPageQry);

	List<DealerVO> list(DealerListQry dealerListQry);

	DealerVO update(DealerUpdateCmd dealerUpdateCmd);

	DealerVO show(DealerShowQry dealerShowQry);

	void destroy(DealerDestroyCmd dealerDestroyCmd);

	void drag(DealerDragCmd dealerDragCmd);
}

